@import 'assets/stylesheets/colors.scss';

.chipper-container {
    width: fit-content;
    padding: 1px 8px;
    height: 20px;
    min-width: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    border-radius: 2px;
    flex-shrink: 0;
    flex-grow: 0;

    &.default {
        background-color: $primary-purple-alpha;

        h6 {
            color: $primary-purple;
        }
    }
    &.green {
        background-color: $primary-green-alpha;

        h6 {
            color: $primary-green;
        }
    }
    &.red {
        background-color: $primary-red-alpha;

        h6 {
            color: $primary-red;
        }
    }

    &.yellow {
        background-color: $primary-yellow-alpha;

        h6 {
            color: $primary-yellow;
        }
    }
}